""" Script to start Django as an WSGI Application.

src_path and virtpy_path are host dependet variables.
TODO: Check if this file is really needet and make it host independet
"""
import os
import sys

SOURCE_PATH = '/home/kasu/src'
VENV_PATH = '/home/kasu/virtualenv/lib/python3.4/site-packages'

if VENV_PATH not in sys.path:
    sys.path.insert(1, VENV_PATH)
if SOURCE_PATH not in sys.path:
    sys.path.append(SOURCE_PATH)

from django.core.wsgi import get_wsgi_application  # Ignore PyLintBear (C0413)  # Ignore PyLintBear (C0413)

os.environ['DJANGO_SETTINGS_MODULE'] = 'kasu.settings'

application = get_wsgi_application()  # Ignore PyLintBear (C0103)  # Ignore PyLintBear (C0103)
